Bug 19473 - [i915 OGLC]oglconform case pntrast.c fail on i915
Summary: [i915 OGLC]oglconform case pntrast.c fail on i915
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i915 (show other bugs)
Version: unspecified
Hardware: Other Linux (All)
: medium normal
Assignee: Ian Romanick
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: intel-3d-release
  Show dependency treegraph
 
Reported: 2009-01-08 18:03 UTC by liuhaien
Modified: 2009-12-03 17:28 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
xorg.0.log (41.59 KB, text/plain)
2009-01-08 18:03 UTC, liuhaien
Details
xorg conf file (4.03 KB, text/plain)
2009-01-08 18:03 UTC, liuhaien
Details

Note You need to log in before you can comment on or make changes to this bug.
Description liuhaien 2009-01-08 18:03:15 UTC
Created attachment 21816 [details]
xorg.0.log

System Environment:
--------------------------
Libdrm:		(master)badc63464cbd64606c6dff9ea561a787d072fd5f
Mesa_stable:		(intel-2008-q4)eef0dcc298f65158dc750a09f80317ded1101dc7
Xorg:		7.2
Xserver_stable:	(server-1.6-branch)32e81074b967716865aef08b66ec29caf0fec2c5
Xf86_video_intel_stable:	(xf86-video-intel-2.6-branch)
                         4447973345a2a7af20ba1d6cb18c5f1ed8949d00
GEM_kernel:       (drm-intel-2.6.28)a0b55c920a72959846837cfa18e0975c3c9c0229



Bug detailed description:
-------------------------
startx, run oglconform,the case "pntrast" fail.

Reproduce steps:
----------------
1.xinit&
2. run oglconform/pntrast.c
Comment 1 liuhaien 2009-01-08 18:03:55 UTC
Created attachment 21817 [details]
xorg conf file
Comment 2 liuhaien 2009-03-22 20:33:31 UTC
still exists against:
Libdrm:         (master)00d8e960ca665b7f0528438331f4d0ae77fbb4cc
Mesa:(mesa_7_4_branch)b009a32bf428192fef2dc4787d25f022a472854f          
Xserver:        (server-1.6-branch)60c161545af80eb78eb790a05bde79409dfdf16e
Xf86_video_intel:       (2.7)e2465249a90b9aefe6d7a96eb56a51fde54698a0
Kernel:       (for-airlied)a2e785c32b886dd7f0289d1cf15fc14e9c81bc01
Comment 3 haihao 2009-10-27 18:55:00 UTC
Ian, this is an oglconform issue,  could you take it?
Comment 4 Shuang He 2009-12-03 17:25:52 UTC
This issue seems fixed by one of Ian's commits:
533b7660073f2c1cd1a19105d4989ec11bfdcd87
718f31b830b2c4edad8b7e04804ff23e1db93e5a(failed to build)
d8d49716cf5d5cabebadc32d7717eec787c75ff1(failed to build)
Comment 5 Shuang He 2009-12-03 17:28:39 UTC
verified on 945GM against:
Kernel 	(drm-intel-next)d09c23de9f967a7b7dcee0ffc57222ddbd821aba
Mesa 	(master)cdb6849fc1fa0c6e360c89a6388dc8bf19a746ca
Libdrm 	(master)8ffd2e142e38d19326a40ff66dc99d052ce22100
Xserver 	(master)98c8b752254a27ab1aaf881b36bfda0f74929d0a
Xf86_video_intel 	(master)c439207ec0cc16d7d9f523598fcdebf7cec893e2


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.